ISOINFO(1)

NAZWA
devdump, isoinfo, isovfy, isodump - Programy użytkowe do zrzucania i weryfikacji obrazów iso9660.

SKŁADNIA
devdump obraz_iso

isodump obraz_iso

isoinfo [ -d ] [ -h ] [ -R ] [ -J ] [ -j zestaw_znaków ] [ -f ] [ -l ] [ -p ] [ -T sektor ] [ -N sektor ] [ -i obraz_iso ] [ -x ścieżka ]

isovfy obraz_iso

OPIS
devdump jest prostym narzędziem interaktywnie wyświetlającym zawartość urządzenia lub obraz systemu plików. Początkowy obraz to pierwsze 256 bajtów pierwszego 2048-bajtowego sektora. Polecenia są takie same jak w przypadku isodump.

isodump jest prostym narzędziem interaktywnie wyświetlającym zawartość obrazów iso9660 w celu weryfikacji integralności katalogów. Początkowy obraz to pierwsza część katalogu głównego, i znak zachęty wyświetlający zakres i przesunięcie w tym zakresie.

    Można użyć poleceń 'a' i 'b' aby poruszać się w przód i w tył wewnątrz obrazu. Polecenie 'g' pozwala przeskoczyć do konkretnego miejsca, a polecenie 'f' pozwala na wpisanie frazy wyszukiwania. Polecenie '+' przeszukuje w przód aż do następnego wystąpienia frazy wyszukiwania, a polecenie 'q' kończy działanie programu devdump lub isodump.

isoinfo jest narzędziem pozwalającym na listowanie zawartości obrazu iso9660 tak jak katalogu.

isovfy jest narzędziem do weryfikacji integralności obrazu iso9660. Większość testów w isovfy zostało dodanych po tym jak odnaleziono błędy we wczesnych wersjach genisoimage. Trudno określić jak użyteczne jest to aktualnie, ale nie zaszkodzi spróbować.

OPCJE
Opcjami wspólnymi dla wszystkich programów są -help, -h, -version, i=nazwa, dev=nazwa. Program isoinfo ma dodatkowe opcje.

-help

-h  wyświetla podsumowanie wszystkich opcji.

-d  Wypisuje informacje z podstawowego deskryptora woluminu (ang. primary volume descriptor - PVD) obrazu iso9660. Obejmuje to informacje o Rock Ridge, rozszerzeniach Joliet i informacjach rozruchowych Eltorito - jeśli są obecne.

-f  tworzy taki wynik, jakby ktoś wykonał 'find . -print' na obrazie iso9660. Nie należy używać obrazu -l razem z opcją -f.

-i obraz_iso
    Określa ścieżkę do obrazu iso9660, który chcemy sprawdzić. Opcje -i oraz dev=cel wzajemnie się wykluczają.

dev=cel
    Ustawia cel SCSI jako napęd, zob. uwagi powyżej. Zwykle ma on postać dev=6,0 . Jeśli konieczne jest podanie nazwy pliku z określeniem numerycznym, nazwa pliku zależy od implementacji. Prawidłową nazwę pliku można wówczas znaleźć w podręczniku systemowym docelowego systemu operacyjnego. W systemie FreeBSD bez obsługi CAM, konieczne jest użycia urządzenia sterującego (np. /dev/rcd0.ctl). Prawidłowa postać celu może być wówczas następująca: dev=/dev/rcd0.ctl:@ .

    W Linuksie, napędy podłączone do adaptera portu równoległego są przypisane wirtualnej szynie SCSI. Różne adaptery są mapowane do różnych celów tejże szyny.

    Jeśli nie poda się opcji dev, program spróbuje uzyskać urządzenie ze zmiennej środowiskowej CDR_DEVICE.

    Jeśli argument podany opcji dev= nie zawiera następujących znaków: ",", "/", "@" lub ":", jest interpretowany jako nazwa etykiety, taka jak w pliku /etc/wodim.conf (zob. rozdział PLIKI).

    Opcje -i i dev=cel wzajemnie się wykluczają.

-l  tworzy taki wynik, jakby ktoś wykonał 'ls -lR' na obrazie iso9660. Nie należy używać obrazu -f razem z opcją -l.

-N sektor
    Szybki sposób na analizowanie jednosesyjnych obrazów, która mają być wypalone na płycie wielosesyjnej. Podany numer sektora jest sektorem, od którego obraz iso9660 powinien być zapisany przy wysyłaniu do nagrywarki. Opcja nie służy do nagrywania pierwszej sesji na dysku.

-p  Wyświetla informację o tablicy ścieżek.

-R  Wyciąga informacje z rozszerzenia Rock Ridge (jeśli jest obecne) o prawach, nazwach plików i właścicielu.

-J  Wyciąga informacje z rozszerzenia Joliet (jeśli jest obecne) o nazwach plików.

-j zestaw_znaków
    Przekształca nazwy plików Joliet (jeśli są obecne) do podanego zestawu znaków. Więcej informacji w podręczniku genisoimage(8)

-T sektor
    Szybki sposób na analizowanie wielosesyjnych obrazów, które zostały już wypalone na płycie wielosesyjnej. Numer sektora podany tutaj to numer sektora, w którym zaczyna się dana sesja na płycie.

-x ścieżka
    Wyodrębnia podany plik na standardowe wyjście.

AUTOR
O te liche dodatki należy winić Erica Youngdale'a <ericy@gnu.ai.mit.edu> lub <eric@andante.jic.com> - autora oryginalnych źródeł (1993 ... 1998) . Joerg Schilling utworzył bibliotekę transportową SCSI i jej warstwę kompatybilności do programów, a także nowsze części (począwszy od 1999) narzędzi, co upoważnia go do opatrzenia ich etykietą Copyright (C) 1999-2004 Joerg Schilling. Patche poprawiające używalność byłyby mile widziane.

Niniejsza strona podręcznika systemowego opisuje implementację isoinfo dostarczaną przez dystrybucję cdrkit. Więcej informacji pod adresem http://alioth.debian.org/projects/debburn/. Jest to odmiana oryginalnego programu dystrybuowana z pakietem cdrtools[1]. Deweloperzy cdrtools nie są jednak odpowiedzialni za jej rozwój, ani za problemy wynikłe z jej działania. Z tego powodu prosimy o niekontaktowanie się z oryginalnymi autorami, w celu uzyskania wsparcia.

Pytania dotyczące programu można kierować (w języku angielskim) pod adres

debburn-devel@lists.alioth.debian.org

Jeśli natomiast odkryło się niewątpliwy błąd, należy wysłać wiadomość (w języku angielskim) na tę listę lub pod adres

submit@bugs.debian.org

z co najmniej krótkim opisem w tytule; przy czym pierwszy wiersz wiadomości musi brzmieć "Package: cdrkit".

BŁĘDY
Interfejs użytkownika jest do bani.

PRZYSZŁE UDOSKONALENIA
Te narzędzia to tylko szybkie sztuczki, które są bardzo użyteczne podczas odpluskwiania problemów w genisoimage lub systemie plików iso9660. Na dłuższą metę, byłoby miło mieć demon, który by eksportował obraz iso9660 po NFS-ie.

Isoinfo jest programem, który jest prawdopodobnie najbardziej użyteczny dla zwykłego użytkownika.

DOSTĘPNOŚĆ
Te narzędzia zostały dostarczone wraz z pakietem cdrtools, a główną stroną do pobrań jest https://sourceforge.net/projects/cdrtools/files/ oraz serwery lustrzane FTP dystrybucji. Pomimo nazwy, oprogramowanie to nie jest wersją beta.

ŚRODOWISKO

CDR_DEVICE
    Zmienna może zawierać albo identyfikator urządzenia zdolnego do otwierania wywołań biblioteki transportowej SCSI lub etykietę z pliku /etc/wodim.conf.

RSH Jeśli zmienna RSH jest ustawiona, zdalne połączenia nie będą tworzone poleceniem rcmd(3) lecz wywołaniem programu, na który wskazuje zmienna RSH. Przykładowo podanie RSH=/usr/bin/ssh spowoduje zestawienie bezpiecznego połączenia powłoki.

    Proszę zauważyć, że zmusza to program do utworzenia potoku do programu rsh(1) i nie pozwala na bezpośredni dostęp do gniazda sieciowego zdalnego serwera. W ten sposób niemożliwe jest ustawienie parametrów wydajnościowych, co spowalnia połączenie w stosunku do połączenia rcmd(3) zestawionego przez root-a.

RSCSI
    Jeśli obecna jest zmienna środowiskowa RSCSI zdalnym serwerem SCSI nie będzie program /opt/schily/sbin/rscsi, lecz program na który wskazuje zmienna RSCSI. Proszę zauważyć, że nazwa programu na zdalnym serwerze zostanie zignorowana, jeśli logowanie nastąpi z konta, które zostało utworzone z programem SCSI zdalnego serwera ustawionym jako powłoka logowania.

PLIKI

/etc/wodim.conf
    Wartości domyślne poniższych opcji można ustawić w pliku /etc/wodim.conf.

    CDR_DEVICE
        Zmienna może zawierać albo identyfikator urządzenia zdolnego do otwierania wywołań biblioteki transportowej SCSI lub etykietę z pliku /etc/wodim.conf pozwalającą na zidentyfikowanie określonego napędu w systemie.

    Dowolna inna etykieta
        jest identyfikatorem określonego napędu w systemie. Nie może zawierać następujących znaków: ",","/", "@" i ":".

        Każdy następny wiersz zawiera etykietę zawierającą oddzieloną tabulatorem listę wpisów. Obecnie rozpoznawane są cztery wpisy: identyfikator SCSI napędu; domyślna prędkość, która powinna być zastosowana dla tego napędu; domyślny rozmiar FIFO, który powinien być zastosowany dla danego napędu; opcje charakterystyczne dla napędu. Wartości speed (prędkości) i fifosize (rozmiaru FIFO) można ustawić na -1, aby program użył globalnych ustawień domyślnych. Jeśli wartość dla driveropts będzie wynosiła "", nie będą użyte żadne opcje charakterystyczne dla napędu. Typowy wiersz może wyglądać następująco:

        teac1= 0,5,0    4    8m    ""

        yamaha= 1,6,0    -1    -1    burnfree

        Nakazuje to programowi użycie napędu o nazwie teac1 na szynie scsi 0, celu 5, numerze logicznym (lun) 0 z prędkością 4 i rozmiarze FIFO 8 MB. Drugi napęd znajduje się na szynie scsi 1, celu 6, lun 0 i używa domyślnych wartości dla prędkości i rozmiaru FIFO.

ZOBACZ TAKŻE
genisoimage(1), wodim(1), readcd(1), ssh(1).

ŹRÓDŁA

[1] Cdrtools 2.01.01a08 z maja 2006, http://cdrecord.berlios.de

T◈UMACZENIE
Autorami polskiego tłumaczenia niniejszej strony podręcznika są: Bartłomiej Sowa <bartowl@kki.net.pl> i Michał Kułach <michal.kulach@gmail.com>

Niniejsze tłumaczenie jest wolną dokumentacją. Bliższe informacje o warunkach licencji można uzyskać zapoznając się z GNU General Public License w wersji 3 (https://www.gnu.org/licenses/gpl-3.0.html) lub nowszej. Nie przyjmuje się ŻADNEJ ODPOWIEDZIALNOŚCI.

Błędy w tłumaczeniu strony podręcznika prosimy zgłaszać na adres listy dyskusyjnej manpages-pl-list@lists.sourceforge.net.